[arch-commits] Commit in pyxml/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jun 7 05:28:46 EDT 2009


    Date: Sunday, June 7, 2009 @ 05:28:46
  Author: jgc
Revision: 41765

Merged revisions 41764 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/pyxml/trunk

........
  r41764 | jgc | 2009-06-07 11:28:30 +0200 (Sun, 07 Jun 2009) | 2 lines
  
  upgpkg: pyxml 0.8.4-6
      Fix FS#14782: syntax error on import _xmlplus.xpath
........

Added:
  pyxml/repos/extra-x86_64/fix-python2.6.patch
    (from rev 41764, pyxml/trunk/fix-python2.6.patch)
Modified:
  pyxml/repos/extra-x86_64/	(properties)
  pyxml/repos/extra-x86_64/PKGBUILD

---------------------+
 PKGBUILD            |   16 +++++++++-------
 fix-python2.6.patch |   28 ++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 7 deletions(-)


Property changes on: pyxml/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /pyxml/trunk:1-17395
   + /pyxml/trunk:1-41764

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-06-07 09:28:30 UTC (rev 41764)
+++ extra-x86_64/PKGBUILD	2009-06-07 09:28:46 UTC (rev 41765)
@@ -3,19 +3,21 @@
 
 pkgname=pyxml
 pkgver=0.8.4
-pkgrel=5
+pkgrel=6
 pkgdesc="Python XML parsing library."
 arch=(i686 x86_64)
 url="http://pyxml.sourceforge.net/"
 license=('custom')
 depends=('python')
-source=(http://downloads.sourceforge.net/sourceforge/pyxml/PyXML-${pkgver}.tar.gz)
-md5sums=('1f7655050cebbb664db976405fdba209')
+source=(http://downloads.sourceforge.net/sourceforge/pyxml/PyXML-${pkgver}.tar.gz
+        fix-python2.6.patch)
+md5sums=('1f7655050cebbb664db976405fdba209' '4b652e0c866e3cca7e2386e8e383d5ba')
 
 
 build() {
-  cd ${startdir}/src/PyXML-${pkgver}
-  python setup.py build
-  python setup.py install --prefix=/usr --root=${startdir}/pkg
-  install -D -m644 LICENCE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  cd "${startdir}/src/PyXML-${pkgver}"
+  patch -Np1 -i "${srcdir}/fix-python2.6.patch" || return 1
+  python setup.py build || return 1
+  python setup.py install --prefix=/usr --root="${pkgdir}" || return 1
+  install -D -m644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }

Copied: pyxml/repos/extra-x86_64/fix-python2.6.patch (from rev 41764, pyxml/trunk/fix-python2.6.patch)
===================================================================
--- extra-x86_64/fix-python2.6.patch	                        (rev 0)
+++ extra-x86_64/fix-python2.6.patch	2009-06-07 09:28:46 UTC (rev 41765)
@@ -0,0 +1,28 @@
+diff -ur a/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py b/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py
+--- a/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py	2003-03-11 15:01:34.000000000 +0100
++++ b/xml/xpath/ParsedAbbreviatedAbsoluteLocationPath.py	2009-05-25 16:32:26.000000000 +0200
+@@ -24,8 +24,8 @@
+         self._rel = rel
+         nt = ParsedNodeTest.ParsedNodeTest('node', '')
+         ppl = ParsedPredicateList.ParsedPredicateList([])
+-        as = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
+-        self._step = ParsedStep.ParsedStep(as, nt, ppl)
++        asp = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
++        self._step = ParsedStep.ParsedStep(asp, nt, ppl)
+         return
+ 
+     def evaluate(self, context):
+diff -ur a/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py b/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py
+--- a/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py	2003-03-11 15:01:34.000000000 +0100
++++ b/xml/xpath/ParsedAbbreviatedRelativeLocationPath.py	2009-05-25 16:27:55.000000000 +0200
+@@ -28,8 +28,8 @@
+         self._right = right
+         nt = ParsedNodeTest.ParsedNodeTest('node','')
+         ppl = ParsedPredicateList.ParsedPredicateList([])
+-        as = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
+-        self._middle = ParsedStep.ParsedStep(as, nt, ppl)
++        asp = ParsedAxisSpecifier.ParsedAxisSpecifier('descendant-or-self')
++        self._middle = ParsedStep.ParsedStep(asp, nt, ppl)
+ 
+     def evaluate(self, context):
+         res = []



More information about the arch-commits mailing list